.modal-active {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    height: auto;
}

.modal-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 9999;
}

.modal-layer {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background-color: rgb(0 0 0 / 75%);
    z-index: 9998;
}

.modal {
    display: flex;
    position: relative;
    width: 90%;
    max-width: 90%;
    max-height: 90%;
    z-index: 9999;
}

.modal-close-btn {
    position: absolute;
    background-color: #024689;
    line-height: 0;
    padding: 13px;
    border: 1px solid #024689;
    border-radius: 99px;
    color: #ffffff;
    right: 8px;
    top: 8px;
    cursor: pointer;
    z-index: 99999;
}

.modal-content {
    width: 100%;
    background-color: #FFF;
    overflow-x: hidden;
    overflow-y: auto;
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.35);
}

button::-moz-focus-inner {
    padding: 0;
    border: 0 none;
}

.toyota-promo-modal {
    max-width: 550px;
}

.toyota-promo-modal-content {
    padding: 0px;
}

.img-popup01 {
    width: 100%;
}